kind: Model
api_version: v1beta1
metadata:
  display_name: Information Cascade Model Initialiser
  name: information-cascade-model-initialiser
  publisher: CMCL Innovations
  summary: This is used by the CReDo digital twin to populate the knowledge graph with relationships required by the information cascade model.
  description: >
    This model initialises the information cascade model by ensuring that the states of the assets have the correct dependencies with each other.
spec:
  inputs:
    parameters:
      - name: BLAZEGRAPH_HOST
        title: BLAZEGRAPH_HOST
        default: "blazegraph"
        description: "Host to use when contacting the blazegraph server."
        type: link
        required: true
      - name: BLAZEGRAPH_PORT
        title: BLAZEGRAPH_PORT
        default: 8080
        description: "Port to use when contacting the blazegraph server."
        type: integer
        required: false
      - name: ONTOP_HOST
        title: ONTOP_HOST
        default: "ontop"
        description: "Host url to use when contacting the ontop server."
        type: link
        required: true
      - name: ONTOP_PORT
        title: ONTOP_PORT
        default: 8080
        description: "Port to use when contacting the ontop server."
        type: integer
        required: false
      - name: POSTGRES_HOST
        title: POSTGRES_HOST
        default: "postgis"
        description: "Host url to use when contacting the postgres server."
        type: link
        required: true
      - name: POSTGRES_PASSWORD
        title: POSTGRES_PASSWORD
        default: "postpass"
        description: "Password to use when contacting the postgres server."
        type: string
        required: true
      - name: POSTGRES_PORT
        title: POSTGRES_PORT
        default: 5432
        description: "Port to use when contacting the postgres server."
        type: integer
        required: false
      - name: POSTGRES_USER
        title: POSTGRES_USER
        default: "postgres"
        description: "Username to use when contacting the postgres server."
        type: string
        required: false
      - name: UPDATE_AGENT_HOST
        title: UPDATE_AGENT_HOST
        default: "update-agent"
        description: "If running in 'upload' mode; this host url is used when contacting the derivation agent. This variable need not be set when running in 'agent' mode."
        type: link
        required: false
      - name: UPDATE_AGENT_PORT
        title: UPDATE_AGENT_PORT
        default: 5000
        description: "If running in 'upload' mode; this port is used when contacting the derivation agent. This variable need not be set when running in 'agent' mode."
        type: integer
        required: false
